Subject: Re: bug#50383: 28.0.50; [PATCH] Feature suggestion, gnus-article-toggle-fonts to toggle fonts for HTML articles

From: Alex Bochannek <[email-masked]>
Date: Tue, 07 Sep 2021 10:15:57 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Alex Bochannek <[email-masked]> writes:
>
>> I thought about it some more and I don't think it's necessary at all to
>> initialize the local variable, because it will happen automatically the
>> first time the command is used. The below should be enough. I tested it
>> a bit and it works for me.
>
> Thanks, looks good to me, so I've pushed it to Emacs 28 (with a trivial
> change -- I morphed the `(if ..  (progn' into a `when').

Thanks! I keep forgetting that the `when' macro has an implicit `progn',
which also reads nicer.

-- 
Alex.